Bug 1127991 - [Docs] [Ceph] Update the Ceph section in CRG - block device doesn't use the metadata server
Summary: [Docs] [Ceph] Update the Ceph section in CRG - block device doesn't use the m...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 04:12 UTC by Bruce Reeler
Modified: 2017-05-12 02:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 14:01:34 UTC


Attachments (Terms of Use)

Description Bruce Reeler 2014-08-08 04:12:23 UTC
Description of problem:
From an email from John Wilkins on 5 Aug 2014:
Looking at https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/Configuration_Reference_Guide/section_volume-drivers.html#ceph-rados, I notice that you are using some of Sage's old Ceph diagrams. Actually, the block device doesn't use the metadata server or file system stuff at all. So the graphic and the inclusion of Ceph Metadata Server is a bit misleading. 

See http://ceph.com/docs/master/rbd/rbd/  for general information, and http://ceph.com/docs/master/rbd/rbd-openstack/ for information specific to OpenStack.


Version-Release number of selected component (if applicable):
5.0

Actual results: 
Diagram and text refer to block device in conjunction with the  metadata server.


Expected results: 
Updated text and updated or remove incorrect diagram.

Comment 5 Andrew Dahms 2015-04-24 00:08:58 UTC
Moving back to 'NEW' until reassignment.

Comment 9 seb 2016-08-17 14:03:31 UTC
Hum looking at the doc, this is an old diagram indeed, but I don't see anything wrong in it.
What's misleading I guess is that the section is about RBD and we are presenting the global Ceph architecture again.


Note You need to log in before you can comment on or make changes to this bug.